zenilib: zenilib/jni/external/freetype2/src/autofit/aftypes.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Enumerations | Functions
aftypes.h File Reference
`#include <ft2build.h>`
`#include <FT_FREETYPE_H>`
`#include <FT_OUTLINE_H>`
`#include <FT_INTERNAL_OBJECTS_H>`
`#include <FT_INTERNAL_DEBUG_H>`

Go to the source code of this file.

## Classes

struct | AF_ScalerRec_
struct | AF_Script_UniRangeRec_
struct | AF_ScriptClassRec_
struct | AF_ScriptMetricsRec_
struct | AF_WidthRec_

## Macros

#define | AF_ANGLE_2PI ( AF_ANGLE_PI * 2 )
#define | AF_ANGLE_DIFF(result, angle1, angle2)
#define | AF_ANGLE_PI 256
#define | AF_ANGLE_PI2 ( AF_ANGLE_PI / 2 )
#define | AF_ANGLE_PI4 ( AF_ANGLE_PI / 4 )
#define | AF_DECLARE_SCRIPT_CLASS(script_class)
#define | AF_DEFINE_SCRIPT_CLASS(script_class, script_, ranges, m_size,m_init, m_scale, m_done, h_init, h_apply)
#define | AF_SCALER_EQUAL_SCALES(a, b)
#define | AF_UNIRANGE_REC(a, b) { (FT_UInt32)(a), (FT_UInt32)(b) }

## Typedefs

typedef FT_Int | AF_Angle
typedef struct AF_GlyphHintsRec_ * | AF_GlyphHints
typedef struct AF_ScalerRec_ * | AF_Scaler
typedef enum AF_ScalerFlags_ | AF_ScalerFlags
typedef struct AF_ScalerRec_ | AF_ScalerRec
typedef enum AF_Script_ | AF_Script
typedef void(* | AF_Script_ApplyHintsFunc )(AF_GlyphHints hints, FT_Outline *outline, AF_ScriptMetrics metrics)
typedef void(* | AF_Script_DoneMetricsFunc )(AF_ScriptMetrics metrics)
typedef FT_Error(* | AF_Script_InitHintsFunc )(AF_GlyphHints hints, AF_ScriptMetrics metrics)
typedef FT_Error(* | AF_Script_InitMetricsFunc )(AF_ScriptMetrics metrics, FT_Face face)
typedef void(* | AF_Script_ScaleMetricsFunc )(AF_ScriptMetrics metrics, AF_Scaler scaler)
typedef const AF_Script_UniRangeRec * | AF_Script_UniRange
typedef struct AF_Script_UniRangeRec_ | AF_Script_UniRangeRec
typedef struct AF_ScriptClassRec_ const * | AF_ScriptClass
typedef struct AF_ScriptClassRec_ | AF_ScriptClassRec
typedef struct AF_ScriptMetricsRec_ * | AF_ScriptMetrics
typedef struct AF_ScriptMetricsRec_ | AF_ScriptMetricsRec
typedef FT_BEGIN_HEADER struct AF_WidthRec_ * | AF_Width
typedef FT_BEGIN_HEADER struct AF_WidthRec_ | AF_WidthRec

## Enumerations

enum | AF_ScalerFlags_ { AF_SCALER_FLAG_NO_HORIZONTAL = 1, AF_SCALER_FLAG_NO_VERTICAL = 2, AF_SCALER_FLAG_NO_ADVANCE = 4 }
enum | AF_Script_ { AF_SCRIPT_NONE = 0, AF_SCRIPT_LATIN = 1, AF_SCRIPT_CJK = 2, AF_SCRIPT_INDIC = 3, AF_SCRIPT_MAX }

## Functions

| af_sort_pos (FT_UInt count, FT_Pos *table)
| af_sort_widths (FT_UInt count, AF_Width widths)

## Macro Definition Documentation

#define AF_ANGLE_2PI ( AF_ANGLE_PI * 2 )

Definition at line 112 of file aftypes.h.

#define AF_ANGLE_DIFF | ( |  | result,
|  |  | angle1,
|  |  | angle2
| ) |  |

Value:
FT_BEGIN_STMNT \
AF_Angle _delta = (angle2) - (angle1); \
\
\
_delta %= AF_ANGLE_2PI; \
if ( _delta < 0 ) \
_delta += AF_ANGLE_2PI; \
\
if ( _delta > AF_ANGLE_PI ) \
_delta -= AF_ANGLE_2PI; \
\
result = _delta; \
FT_END_STMNT
cordic.angle2
angle2
Definition: cordic.py:50
if
if(!yyg->yy_init)
Definition: glslang_lex.cpp:1037
result
GLuint64EXT * result
Definition: glew.h:12708
AF_Angle
FT_Int AF_Angle
Definition: aftypes.h:108
FT_END_STMNT
#define FT_END_STMNT
Definition: ftconfig.h:301
AF_ANGLE_PI
#define AF_ANGLE_PI
Definition: aftypes.h:111
AF_ANGLE_2PI
#define AF_ANGLE_2PI
Definition: aftypes.h:112

Definition at line 136 of file aftypes.h.

#define AF_ANGLE_PI 256

Definition at line 111 of file aftypes.h.

#define AF_ANGLE_PI2 ( AF_ANGLE_PI / 2 )

Definition at line 113 of file aftypes.h.

#define AF_ANGLE_PI4 ( AF_ANGLE_PI / 4 )

Definition at line 114 of file aftypes.h.

#define AF_DECLARE_SCRIPT_CLASS | ( |  | script_class | ) |

Value:
FT_CALLBACK_TABLE const AF_ScriptClassRec \
script_class;
FT_CALLBACK_TABLE
#define FT_CALLBACK_TABLE
Definition: ftconfig.h:563

Definition at line 314 of file aftypes.h.

#define AF_DEFINE_SCRIPT_CLASS | ( |  | script_class,
|  |  | script_,
|  |  | ranges,
|  |  | m_size,
|  |  | m_init,
|  |  | m_scale,
|  |  | m_done,
|  |  | h_init,
|  |  | h_apply
| ) |  |

Value:
FT_CALLBACK_TABLE_DEF const AF_ScriptClassRec \
script_class = \
{ \
script_, \
ranges, \
\
m_size, \
\
m_init, \
m_scale, \
m_done, \
\
h_init, \
h_apply \
};
FT_CALLBACK_TABLE_DEF
#define FT_CALLBACK_TABLE_DEF
Definition: ftconfig.h:564

Definition at line 318 of file aftypes.h.

#define AF_SCALER_EQUAL_SCALES | ( |  | a,
|  |  | b
| ) |  |

Value:
( (a)->x_scale == (b)->x_scale && \
(a)->y_scale == (b)->y_scale && \
(a)->x_delta == (b)->x_delta && \
(a)->y_delta == (b)->y_delta )
a
GLboolean GLboolean GLboolean GLboolean a
Definition: glew.h:8736
b
GLdouble GLdouble GLdouble b
Definition: glew.h:8383

Definition at line 193 of file aftypes.h.

#define AF_UNIRANGE_REC | ( |  | a,
|  |  | b
| ) |  | { (FT_UInt32)(a), (FT_UInt32)(b) }

Definition at line 290 of file aftypes.h.

## Typedef Documentation

typedef FT_Int AF_Angle

Definition at line 108 of file aftypes.h.

typedef struct AF_GlyphHintsRec_* AF_GlyphHints

Definition at line 155 of file aftypes.h.

typedef struct AF_ScalerRec_ * AF_Scaler

typedef enum AF_ScalerFlags_ AF_ScalerFlags

typedef struct AF_ScalerRec_ AF_ScalerRec

typedef enum AF_Script_ AF_Script

typedef void(* AF_Script_ApplyHintsFunc)(AF_GlyphHints hints, FT_Outline *outline, AF_ScriptMetrics metrics)

Definition at line 278 of file aftypes.h.

typedef void(* AF_Script_DoneMetricsFunc)(AF_ScriptMetrics metrics)

Definition at line 270 of file aftypes.h.

typedef FT_Error(* AF_Script_InitHintsFunc)(AF_GlyphHints hints, AF_ScriptMetrics metrics)

Definition at line 274 of file aftypes.h.

typedef FT_Error(* AF_Script_InitMetricsFunc)(AF_ScriptMetrics metrics, FT_Face face)

Definition at line 262 of file aftypes.h.

typedef void(* AF_Script_ScaleMetricsFunc)(AF_ScriptMetrics metrics, AF_Scaler scaler)

Definition at line 266 of file aftypes.h.

typedef const AF_Script_UniRangeRec* AF_Script_UniRange

Definition at line 292 of file aftypes.h.

typedef struct AF_Script_UniRangeRec_ AF_Script_UniRangeRec

typedef struct AF_ScriptClassRec_ const* AF_ScriptClass

Definition at line 247 of file aftypes.h.

typedef struct AF_ScriptClassRec_ AF_ScriptClassRec

typedef struct AF_ScriptMetricsRec_ * AF_ScriptMetrics

typedef struct AF_ScriptMetricsRec_ AF_ScriptMetricsRec

typedef FT_BEGIN_HEADER struct AF_WidthRec_ * AF_Width

typedef FT_BEGIN_HEADER struct AF_WidthRec_ AF_WidthRec

## Enumeration Type Documentation

enum AF_ScalerFlags_

Enumerator
AF_SCALER_FLAG_NO_HORIZONTAL |
AF_SCALER_FLAG_NO_VERTICAL |
AF_SCALER_FLAG_NO_ADVANCE |

Definition at line 171 of file aftypes.h.

enum AF_Script_

Enumerator
AF_SCRIPT_NONE |
AF_SCRIPT_LATIN |
AF_SCRIPT_CJK |
AF_SCRIPT_INDIC |
AF_SCRIPT_MAX |

Definition at line 229 of file aftypes.h.

## Function Documentation

af_sort_pos | ( | FT_UInt | count,
|  | FT_Pos * | table
| ) |  |

Definition at line 247 of file afangles.c.

References FT_Pos, i, j, and swap().

Referenced by af_latin2_metrics_init_blues(), and af_latin_metrics_init_blues().

af_sort_widths | ( | FT_UInt | count,
|  | AF_Width | widths
| ) |  |

Definition at line 270 of file afangles.c.

References i, j, and swap().

Referenced by af_latin2_metrics_init_widths(), and af_latin_metrics_init_widths().